Bug 945 - allow mount internal filesystem to anything
: allow mount internal filesystem to anything
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: 2012 Desktop Final
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 13:30 MSD by Aleksandr Kazantcev
Modified: 2013-10-01 13:39 MSD (History)
2 users (show)

See Also:
RPM Package: udisks
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2012-10-16 13:30:28 MSD
For now ntfs and other internal filesystem will mount from root. We need change rules and allow any user mount filesystem

/usr/share/polkit-1/actions/org.freedesktop.udisks.policy

changes: 

  <action id="org.freedesktop.udisks.filesystem-mount-system-internal">
    <description>Mount a system-internal device</description>
    <description xml:lang="da">Montér en intern enhed</description>
    <message>Authentication is required to mount the device</message>
    <message xml:lang="da">Autorisering er påkrævet for at montere et fil system</message>
    <defaults>
      <allow_any>yes</allow_any>
      <allow_inactive>no</allow_inactive>
      <allow_active>auth_admin_keep</allow_active>
    </defaults>
  </action>
Comment 1 Aleksandr Kazantcev 2012-10-16 13:45:15 MSD
We need also change

 <allow_active>auth_admin_keep</allow_active>

to

 <allow_active>yes</allow_active>
Comment 2 Aleksandr Kazantcev 2012-10-20 00:22:22 MSD
Will fixed to udev (KDE4 related).

For udisk2 (gnome, lxde) need fix.

Decriease level of importance.
Comment 3 Stanislav Fomin 2013-09-17 02:30:28 MSD
I just successfully mount internal NTFS partition from GNOME Nautilus (ISO build 1524).

But I have in 
/usr/share/polkit-1/actions/org.freedesktop.udisks.policy:

  <action id="org.freedesktop.udisks.filesystem-mount-system-internal">
    <defaults>
      <allow_any>no</allow_any>   <----
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

So.

* Is any changes still needed?
* Why this bug cannot be fixed, what we are waiting for?
** If any bug-blockers exists, please add these in "blocks" fields. 

BTW, decrease importance, because the bug already exists whole year with "blocker" and "major" importance.
Comment 4 Denis Silakov 2013-10-01 13:39:16 MSD
No more changes are required. Alex wanted to change "allow_active" from "auth_admin_keep" to "yes" and this was done long ago.

"allow_any" is set to "no", this is ok. Inactive sessions are generally remote sessions (SSH, VNC, etc.) whereas active sessions are logged directly into the machine on a TTY or an X display. Iirc, there was no intention to allow remote users to mount internal filesystems. But feel free to reopen the bug (or file a new one) if you want to ahve such behavior by default.